# ArrayObject::offsetGet

(PHP 5, PHP 7, PHP 8)

ArrayObject::offsetGet — Retourne la valeur de l'index spécifié

### Description

public ArrayObject::offsetGet(mixed `$key`): mixed

### Liste de paramètres

`key`

  L'index demandé.

### Valeurs de retour

La valeur à l'index ou `null`.

### Erreurs / Exceptions

Produit une alerte de niveau `E_NOTICE` lorsque l'index spécifié n'existe pas.

### Exemples

Exemple #1 Exemple avec ArrayObject::offsetGet()

`<?php
$arrayobj = new ArrayObject(array('zero', 7, 'example'=>'e.g.'));
var_dump($arrayobj->offsetGet(1));
var_dump($arrayobj->offsetGet('example'));
var_dump($arrayobj->offsetExists('notfound'));
?>`

L'exemple ci-dessus va afficher :

    int(7)
    string(4) "e.g."
    bool(false)